wxWidgets-wxcontainer-compat-lib-config-2.8.12-lp150.6.2.aarch64.rpm


Advertisement

Description

wxWidgets-wxcontainer-compat-lib-config - wxWidgets Library Compatibility Configuration

Property Value
Distribution openSUSE Leap 15.0
Repository Packman all
Package name wxWidgets-wxcontainer-compat-lib-config
Package version 2.8.12
Package release lp150.6.2
Package architecture aarch64
Package type rpm
Installed size 219 B
Download size 17.56 KB
Official Mirror packman.inode.at
This package contains a ld.so configuration file that allows to use third party
binaries with one of available instances of the wxWidgets libraries.
API version: 2.8
ABI variant: wx container API with Unicode support
Note: compat-lib-config variant packages are mutually exclusive. If you
need more instances at once, break RPM dependencies and use
LD_LIBRARY_PATH wrappers for those "broken" packages.
Available ABI variants:
default = stl:  API compatible with modern applications, ABI compatible with wxGTK in openSUSE == 11.1
wxcontainer:    API compatible with older applications, ABI compatible with wxGTK in openSUSE <= 11.3 except 11.1
wxcontainer24c: API compatible with old applications since since version 2.4, ABI compatible with Fedora
ansi:           API compatible with historical applications expecting 8-bit characters

Alternatives

Package Version Architecture Repository
wxWidgets-wxcontainer-compat-lib-config-2.8.12-lp150.6.11.x86_64.rpm 2.8.12 x86_64 Packman
wxWidgets-wxcontainer-compat-lib-config-2.8.12-lp150.6.2.armv7hl.rpm 2.8.12 armv7hl Packman
wxWidgets-wxcontainer-compat-lib-config - - -

Requires

Name Value
/sbin/ldconfig -

Provides

Name Value
wxWidgets-ld_so_conf -
wxWidgets-wxcontainer-compat-lib-config = 2.8.12-lp150.6.2
wxWidgets-wxcontainer-compat-lib-config(aarch-64) = 2.8.12-lp150.6.2

Conflicts

Name Value
otherproviders(wxWidgets-ld_so_conf) -
wxWidgets-compat-lib-config < 2.8.12-12

Download

Type URL
Binary Package wxWidgets-wxcontainer-compat-lib-config-2.8.12-lp150.6.2.aarch64.rpm
Source Package wxWidgets-wxcontainer-2.8.12-lp150.6.2.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_15.0/ packman
  2. Install wxWidgets-wxcontainer-compat-lib-config rpm package:
    # zypper install wxWidgets-wxcontainer-compat-lib-config

Files

Path
/etc/ld.so.conf.d/wxWidgets.conf

Changelog

2016-06-18 - i@marguerite.su
- add patch: wxWidgets-2.8.12-gcc6.patch
* fix FTBFS: gcc6 narrowing conversion from int to char inside {}
* original patch from <dan@danny.cz> for fedora project
2014-07-31 - dimstar@opensuse.org
- Rename rpmlintrc to %{name}-rpmlintrc.
Follow the packaging guidelines.
2014-04-04 - seiler@b1-systems.de
- removed unneeded 32bit packages (*-compat-lib*) which has no libraries
2014-02-17 - seiler@b1-systems.de
- added baselibs.conf to add *-32bit packages
2013-08-22 - jengelh@inai.de
- Use %_smp_mflags for parallel build and better make install call.
2013-05-30 - sbrabec@suse.cz
- Add libXinerama-devel to BuildRequires (bnc#820016).
2013-04-29 - mhrusecky@suse.com
- add libXt-devel buildrequires to fix Factory build
2013-03-24 - jengelh@inai.de
- Update dependencies for wxWidgets-devel: Mesa no longer bundles GL
2012-10-24 - sbrabec@suse.cz
- Add "API version" in %description.
2012-09-20 - coolo@suse.com
- add explicit buildrequire on pkgconfig(glu)

See Also

Package Description
wxWidgets-wxcontainer-devel-2.8.12-lp150.6.11.x86_64.rpm Everything needed for development with wxWidgets
wxWidgets-wxcontainer-devel-2.8.12-lp150.6.2.aarch64.rpm Everything needed for development with wxWidgets
wxWidgets-wxcontainer-devel-2.8.12-lp150.6.2.armv7hl.rpm Everything needed for development with wxWidgets
wxWidgets-wxcontainer-plugin-sound_sdlu-2_8-wxcontainer-2.8.12-lp150.6.11.x86_64.rpm wxWidgets SDL Plugin
wxWidgets-wxcontainer-plugin-sound_sdlu-2_8-wxcontainer-2.8.12-lp150.6.2.aarch64.rpm wxWidgets SDL Plugin
wxWidgets-wxcontainer-plugin-sound_sdlu-2_8-wxcontainer-2.8.12-lp150.6.2.armv7hl.rpm wxWidgets SDL Plugin
wxWidgets-wxcontainer-plugin-sound_sdlu-2_8-wxcontainer-64bit-2.8.12-lp150.6.2.aarch64_ilp32.rpm wxWidgets SDL Plugin
wxcam-1.1-lp150.7.13.x86_64.rpm Webcam application for linux
wxcam-1.1-lp150.7.5.aarch64.rpm Webcam application for linux
wxsqlite3-devel-3.5.8.20171102.1b93c9c-lp150.6.5.aarch64.rpm C++ wrapper around SQLite 3.x - Development Files
wxsqlite3-devel-3.5.8.20171102.1b93c9c-lp150.6.8.x86_64.rpm C++ wrapper around SQLite 3.x - Development Files
x264-0.152svn20180305-lp150.3.2.aarch64.rpm Binaries for x264 streams conversions
x264-0.152svn20180305-lp150.3.2.armv7hl.rpm Binaries for x264 streams conversions
x264-0.152svn20180305-lp150.3.3.x86_64.rpm Binaries for x264 streams conversions
x265-2.9-lp150.1.2.aarch64.rpm A free h265/HEVC encoder - encoder binary
Advertisement
Advertisement